Pulp - Issue #3475

Invalid base path error could be more helpful

03/15/2018 10:04 PM - daviddavis

Status: MODIFIED Start date:

Priority: Normal Due date:

Assignee: CodeHeeler Estimated time: 0:00 hour
Category:

Sprint/Milestone: 3.0

Severity: 2. Medium Sprint Candidate: No
Version: Tags: Easy Fix
Platform Release: QA Contact:

Blocks Release: Complexity:

Os: Smash Test:

Backwards No Verified: No
Incompatible:

Triaged: Yes Verification Required: No
Groomed: No Sprint: Sprint 36
Description

Create a distributor with a space in its base path and you'll get an error message saying ""Enter a valid URL." We're using django's

URLValidator which produces this message:

https://github.com/django/django/blob/master/django/core/validators.py#L 102

We ought to raise a more informative message about what constitutes a valid url path.

Relevant PR:

https://github.com/pulp/pulp/pull/3371

Associated revisions

Revision 9a9e9¢c93 - 04/23/2018 04:52 PM - CodeHeeler

Provide more informative invalid base path error

Default message provided by Django's URLValidator is simply:
"Enter a valid URL"

Check for spaces in path before this call and raise ValidationError
if found.

fixes #3475
https://pulp.plan.io/issues/3475
History

#1 - 03/16/2018 02:32 PM - amacdona@redhat.com
- Project changed from File Support to Pulp

#2 - 03/16/2018 03:46 PM - dalley
- Triaged changed from No to Yes

- Tags Easy Fix added

#3 - 04/04/2018 09:05 PM - amacdona@redhat.com
- Tags deleted (Pulp 3 MVP)

#4 - 04/18/2018 05:09 PM - CodeHeeler
- Status changed from NEW to ASSIGNED

- Assignee set to CodeHeeler

#5 - 04/18/2018 05:40 PM - CodeHeeler
- Sprint set to Sprint 35

#6 - 04/20/2018 12:07 AM - CodeHeeler
- Status changed from ASSIGNED to POST

https://github.com/pulp/pulp/pull/3451

#7 - 04/23/2018 04:27 PM - rchan
- Sprint changed from Sprint 35 to Sprint 36

#8 - 04/23/2018 05:18 PM - CodeHeeler
- Status changed from POST to MODIFIED

Applied in changeset pulp|9a9e9c¢931973f654cd951fa2030d62f4d5ebd349.

#9 - 04/25/2019 06:46 PM - daviddavis
- Sprint/Milestone set to 3.0
#10 - 04/26/2019 10:36 PM - bmbouter
- Tags deleted (Pulp 3)
